﻿using System.Xml;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        string xml = @"
<UserInfo>
    <User userno=""1"">
        <UserID>admin</UserID>
        <Password>Uaps+82i8GTmJBZbvbkI6Q==</Password>
        <UserType>Administrator</UserType>
    </User>
    <User userno=""2"">
        <UserID>dexter</UserID>
        <Password>Uaps+82i8GTmJBZbvbkI6Q==</Password>
        <UserType>Administrator</UserType>
    </User>
    <User userno=""3"">
        <UserID>sunny</UserID>
        <Password>Uaps+82i8GTmJBZbvbkI6Q==</Password>
        <UserType>Operator</UserType>
    </User>
    <User userno=""4"">
        <UserID>john</UserID>
        <Password>Uaps+82i8GTmJBZbvbkI6Q==</Password>
        <UserType>Visitor</UserType>
    </User>
</UserInfo>
";

        XmlDocument document = new XmlDocument();

        document.LoadXml(xml);

        XmlNode node = document.DocumentElement.SelectSingleNode("/UserInfo/User");

        foreach(XmlNode childNode in node.ChildNodes)
        {
            Console.WriteLine(childNode.InnerText);
        }
    }

    #endregion
}